import 'package:json_annotation/json_annotation.dart';

part 'MemberHouseCard.g.dart';

@JsonSerializable()
class MemberHouseCard {
  MemberHouseCard(this.id, this.gameId, this.houseId, this.userId,this.remark,this.money,this.typeFlag,this.createTime);
  int id;
  int gameId;//游戏ID
  int houseId;//房间ID
  int userId;//用户ID
  String remark;//备注
  int money;//消费金额
  int typeFlag;//类型
  int createTime;//创建时间
  factory MemberHouseCard.fromJson(Map<String, dynamic> json) =>
      _$MemberHouseCardFromJson(json);

  Map<String, dynamic> toJson() => _$MemberHouseCardToJson(this);
  // 命名构造函数
  MemberHouseCard.empty();
  @override
  String toString() {
    return _$MemberHouseCardToJson(this).toString();
  }
}
